org.apache.lucene.search.grouping

## Class GroupFacetCollector.FacetEntry

- java.lang.Object
- - org.apache.lucene.search.grouping.GroupFacetCollector.FacetEntry

Enclosing class:
  GroupFacetCollector

    public static class GroupFacetCollector.FacetEntry
    extends Object

Represents a facet entry with a value and a count.

### Constructor Summary

Constructors
Constructor and Description
`FacetEntry(BytesRef value, int count)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `getCount()`
`BytesRef` `getValue()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FacetEntry

    public FacetEntry(BytesRef value,
                      int count)

### Method Detail

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getValue

    public BytesRef getValue()

Returns:
  The value of this facet entry

#### getCount

    public int getCount()

Returns:
  The count (number of groups) of this facet entry.